/*
Copyright 2007, Freie Universitaet Berlin. All rights reserved.

These sources were developed at the Freie Universitt Berlin, Computer
Systems and Telematics group.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

- Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

- Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
 
- Neither the name of Freie Universitaet Berlin (FUB) nor the names of its
contributors may be used to endorse or promote products derived from
this software without specific prior written permission.

This software is provided by FUB and the contributors on an "as is"
basis, without any representations or warranties of any kind, express
or implied including, but not limited to, representations or
warranties of non-infringement, merchantability or fitness for a
particular purpose. In no event shall FUB or contributors be liable
for any direct, indirect, incidental, special, exemplary, or
consequential damages (including, but not limited to, procurement of
substitute goods or services; loss of use, data, or profits; or
business interruption) however caused and on any theory of liability,
whether in contract, strict liability, or tort (including negligence
or otherwise) arising in any way out of the use of this software, even
if advised of the possibility of such damage.

This implementation was developed by the CST group at the FUB.

For documentation and questions please use the web site
http://scatterweb.mi.fu-berlin.de and the mailinglist
scatterweb@lists.spline.inf.fu-berlin.de (subscription via the Website).
Berlin, 2007
*/

/**
 * @file			ScatterWeb.DAC.internals.h
 * @ingroup	libADDA
 * @brief			Private functions needed to access the DAC
 * 
 * @author		Bastian Blywis
 * @date			Mi Okt 31 11:59:35 2007
 * @since		1.2
 * @version	$Revision$
 * 
 * Private functions needed to access the two DACs
 */

#ifndef ADC_INT_H_
#define ADC_INT_H_

#include <ScatterWeb.System.h>

/**
 * \name AD-Converter
 * Functions to use the MSP430s ADCs.<br>
 * The result registers may be accessed by AIN0-AIN5.
* @{
 */
#define AIN0 (ADC12MEM0)		///< P60: AIN0
#define AIN1 (ADC12MEM3)		///< P61: AIN1
#define AIN2 (ADC12MEM6)		///< P62: AIN2
#define AIN3 (ADC12MEM10)	///< P63: AIN3
#define AIN4 (ADC12MEM11)	///< P64: AIN4
#define AIN5 (ADC12MEM12)	///< P65: AIN5
#define VTMP (ADC12MEM13)	///< Temperature diode
#define VCC (ADC12MEM14)	///< Battery/Lithium-Ion Pack
///@}

/**
 * This function has to be called once prior using the ADC.
 */
void ADDA_initADC();

#endif /*ADC_INT_H_*/
