#ifndef LIBFAT_CONF_H_
#define LIBFAT_CONF_H_

/// Library Initializer
void libFAT_Init();

/**
 * @name Library configuration example
 * Use the following defines to configure the library to your needs for
 * a minimal size.
 */
#ifndef FAT12_SUPPORT
#define FAT12_SUPPORT			0						///< Support for reading FAT12
#endif

#ifndef FAT32_SUPPORT
#define FAT32_SUPPORT			0						///< not implemented!
#endif

#ifndef FAT_STRICT_TYPE_CHECK
#define	FAT_STRICT_TYPE_CHECK	1						///< FAT type recoginition to follow specification
#endif

#ifndef FAT_CHANGEDIR
#define FAT_CHANGEDIR			0						///< CD function
#endif

#ifndef FAT_WRITE
#define FAT_WRITE				1
#endif

#ifndef FAT_FIND_SIMPLE
#define FAT_FIND_SIMPLE			1						///< File find function
#endif

#ifndef FAT_FILE_HELPER
#define FAT_FILE_HELPER			FAT_WRITE				///< Easy file handle manipulation
#endif
///@}
#endif /*LIBFAT_CONF_H_*/

#if FAT32_SUPPORT
	#error "FAT32 not implemented"
#endif

#if FAT12_SUPPORT && FAT_WRITE
	#warn "Writing of FAT12 tables is not implemented"
#endif
